> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Text Post

<Note>
  **OAuth scope:** `memberships_write`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml /openapi/membership.json PUT /open-api/v1.1/memberships/posts/texts/{id}
openapi: 3.1.0
info:
  title: OpenAPI
  version: 0.0.1
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
paths:
  /open-api/v1.1/memberships/posts/texts/{id}:
    put:
      tags:
        - Posts
      summary: Update Text Post
      operationId: update-text-post
      parameters:
        - name: X-ShopId
          in: header
          required: false
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                attributes:
                  type: object
                  properties:
                    core:
                      type: object
                      properties:
                        title:
                          type: string
                          minLength: 3
                        description:
                          type: string
                          maxLength: 100000
                        liveAt:
                          type: string
                          format: date-time
                        tags:
                          type: array
                          items:
                            type: string
                      required:
                        - title
                  required:
                    - core
                access:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - MembersOnly
                        - Plans
                        - Public
                        - FreeMembers
                        - FreeAndPaidMembers
                        - Paid
                        - PaidAndPaidMembers
                        - PaidAndTiers
                    tiers:
                      type: array
                      items:
                        $ref: '#/components/schemas/Request.Common.Id'
                    price:
                      type: integer
                      minimum: 300
                      maximum: 50000
                  required:
                    - type
                notifications:
                  type: object
                  properties:
                    enabled:
                      type: boolean
                  required:
                    - enabled
              required:
                - attributes
                - access
                - notifications
              openapi: true
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response.V1.Feed.Post.Text.Update'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response.Common.Error.Validation'
      security:
        - oauth:
            - memberships_write
        - basicAuth: []
components:
  schemas:
    Request.Common.Id:
      type: object
      properties:
        id:
          type: integer
      required:
        - id
      title: Id
    Response.V1.Feed.Post.Text.Update:
      type: object
      properties:
        type:
          type: string
          enum:
            - Text
        action:
          type: string
          enum:
            - Update
        postId:
          type: integer
      required:
        - type
        - action
        - postId
      title: Update
    Response.Common.Error.Validation:
      type: object
      properties:
        parameters:
          type: object
          example: '{ "post_id": [ "is missing" ] }'
        body:
          type: object
          example: '{ "discount": { "percentOff": [ "is missing" ] } }'
      title: Validation
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            memberships_read: memberships_read
            memberships_write: memberships_write
    basicAuth:
      type: http
      scheme: basic

````